## plasma-distro-release-notifier 20220915

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2018 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2018 Rik Mills <rikmills@kubuntu.org>
# SPDX-FileCopyrightText: 2018-2020 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.0)

project(distroreleasenotifier)

set(QT_MIN_VERSION "6.2.0")
set(KF6_MIN_VERSION "6.1.5")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    NetworkManagerQt
    Notifications
    WidgetsAddons
    DBusAddons
    KIO
    StatusNotifierItem
)

# update flavor is derived from the installed metapackage(s) by pkg.split('-')[-1].captialize
# it is therefore less accurate and good looking than /etc/os-release
option(NAME_FROM_FLAVOR
    "Get distro name from update flavor [default is from /etc/os-release]"
    OFF)
option(INSTALL_PREVIEW_UPGRADE
    "Whether to install a tiny helper binary to make pre-release upgrades more accessible. Also set PREVIEW_UPGRADE_NAME."
    OFF)

set(PREVIEW_UPGRADE_NAME "distro-preview-upgrade"
    CACHE STRING "Name to install the upgrade preview helper as.")

add_subdirectory(src)

install(FILES releasechecker DESTINATION ${KDE_INSTALL_DATADIR}/distro-release-notifier
        PERMISSIONS
        OWNER_EXECUTE OWNER_READ OWNER_WRITE
        GROUP_EXECUTE GROUP_READ
        WORLD_EXECUTE WORLD_READ
)

# Make it possible to use the po files fetched by the fetch-translations step
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2018-2020 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2018-2020 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"distro-release-notifier\")

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

if (${INSTALL_PREVIEW_UPGRADE})
    add_subdirectory(preview)
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(distroreleasenotifier_SRCS
    module.cpp
    dbusinterface.cpp
    distroreleasenotifier.cpp
    notifier.cpp
    screensaverinhibitor.cpp
    upgraderwatcher.cpp
    upgraderprocess.cpp
)

ecm_qt_declare_logging_category(distroreleasenotifier_SRCS
    HEADER debug.h
    IDENTIFIER NOTIFIER
    CATEGORY_NAME org.kde.distro-release-notifier)

qt5_generate_dbus_interface(
    dbusinterface.h
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.DistroReleaseNotifier.xml
    OPTIONS -a
)
qt5_add_dbus_adaptor(distroreleasenotifier_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.DistroReleaseNotifier.xml dbusinterface.h DBusInterface)

add_library(distroreleasenotifier MODULE ${distroreleasenotifier_SRCS})

target_link_libraries(distroreleasenotifier
    KF5::DBusAddons
    KF5::CoreAddons
    KF5::I18n
    KF5::NetworkManagerQt
    KF5::Notifications
    KF5::WidgetsAddons
    Qt5::Network
)

install(TARGETS distroreleasenotifier DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
kcoreaddons_desktop_to_json(distroreleasenotifier distro-release-notifier.desktop)

=== debian/changelog ===
plasma-distro-release-notifier (20220915-0ubuntu0.22.04.2) jammy; urgency=medium

  * Move EOL data to local file (LP: #2039492)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 18:57:23 -0700

plasma-distro-release-notifier (20220915-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to Jammy (LP: #1989611)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 15 Sep 2022 14:41:07 -0700

plasma-distro-release-notifier (20220915-0ubuntu1) kinetic; urgency=medium

  * New upstream tarball release with translations (LP: #1989697)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 15 Sep 2022 14:19:28 -0700

plasma-distro-release-notifier (20220521-0ubuntu2) kinetic; urgency=medium

  * d/rules: add hardening=+all
  * d/control: depand on python3-update-manager explicitly
  * Add patches s/neon/ubuntu

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 12 Sep 2022 11:36:49 -0700

plasma-distro-release-notifier (20220521-0ubuntu1) kinetic; urgency=medium

  * Initial release. (LP: #1989229)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 08 Sep 2022 07:42:51 -0700

=== debian/control ===
Source: plasma-distro-release-notifier
Section: kde
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 libkf5networkmanagerqt-dev,
 libkf5notifications-dev,
 libqt5core5a,
 libqt5gui5,
 libqt5widgets5,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/system/distro-release-notifier
Vcs-Browser: https://invent.kde.org/system/distro-release-notifier
Vcs-Git: https://invent.kde.org/system/distro-release-notifier.git

Package: plasma-distro-release-notifier
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-update-manager,
 update-notifier-common
Description: Notifies KDE Plasma users of a new version of Ubuntu
 New versions of Ubuntu get released every six months, with new
 LTS versions getting released every two years. This application
 monitors for new versions and notifies the user if a new version
 of Ubuntu is available.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	cp debian/eol.json debian/plasma-distro-release-notifier/usr/share/distro-release-notifier

## plasma-distro-release-notifier 20241226

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 project(distroreleasenotifier)
 
 set(QT_MIN_VERSION "6.2.0")
-set(KF6_MIN_VERSION "6.1.5")
+set(KF6_MIN_VERSION "6.2.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,24 +33,23 @@
     IDENTIFIER NOTIFIER
     CATEGORY_NAME org.kde.distro-release-notifier)
 
-qt5_generate_dbus_interface(
+qt_generate_dbus_interface(
     dbusinterface.h
     ${CMAKE_CURRENT_BINARY_DIR}/org.kde.DistroReleaseNotifier.xml
     OPTIONS -a
 )
-qt5_add_dbus_adaptor(distroreleasenotifier_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.DistroReleaseNotifier.xml dbusinterface.h DBusInterface)
 
-add_library(distroreleasenotifier MODULE ${distroreleasenotifier_SRCS})
+qt_add_dbus_adaptor(distroreleasenotifier_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.DistroReleaseNotifier.xml dbusinterface.h DBusInterface)
+
+kcoreaddons_add_plugin(distroreleasenotifier SOURCES ${distroreleasenotifier_SRCS} INSTALL_NAMESPACE "kf6/kded")
 
 target_link_libraries(distroreleasenotifier
-    KF5::DBusAddons
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::NetworkManagerQt
-    KF5::Notifications
-    KF5::WidgetsAddons
-    Qt5::Network
+    KF6::DBusAddons
+    KF6::CoreAddons
+    KF6::I18n
+    KF6::NetworkManagerQt
+    KF6::Notifications
+    KF6::WidgetsAddons
+    KF6::StatusNotifierItem
+    Qt6::Network
 )
-
-install(TARGETS distroreleasenotifier DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
-kcoreaddons_desktop_to_json(distroreleasenotifier distro-release-notifier.desktop)

=== src/preview/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2018 Harald Sitter <sitter@kde.org>

install(FILES distro-preview-upgrade
    RENAME ${PREVIEW_UPGRADE_NAME}
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    PERMISSIONS
    OWNER_EXECUTE OWNER_READ OWNER_WRITE
    GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
)

=== debian/changelog ===
plasma-distro-release-notifier (20241226-0ubuntu6) resolute; urgency=medium

  * Add 0006-remove-m-argument.patch to get around deprecation of mode
    argument in do-release-upgrade. (LP: #2130246)
  * Install eol.json to fix a file not found issue. (LP: #2130246)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 29 Oct 2025 09:43:07 -0700

plasma-distro-release-notifier (20241226-0ubuntu5) resolute; urgency=medium

  * Add 0005-set-cmake-minimum.patch to fix build with extra-cmake-
    modules 6.19.0.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Oct 2025 08:14:07 +0000

plasma-distro-release-notifier (20241226-0ubuntu4) resolute; urgency=medium

  * Update EOL data

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Oct 2025 09:26:57 -0700

plasma-distro-release-notifier (20241226-0ubuntu3) questing; urgency=medium

  * Update EOL data 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Jun 2025 11:46:50 -0700

plasma-distro-release-notifier (20241226-0ubuntu2) plucky; urgency=medium

  * d/control: s/qt6-tools/qt6-tools-dev-tools/

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 24 Jan 2025 20:01:42 -0800

plasma-distro-release-notifier (20241226-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot 20241226
    - updates to KF6
  * Refreshed patches
  * d/copyright: bump dates
  * d/control: update to kf6 libraries, bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 24 Jan 2025 10:51:22 -0800

plasma-distro-release-notifier (20220915-0ubuntu8) oracular; urgency=medium

  * Move EOL data to local file (LP: #2039492)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 17:56:03 -0700

plasma-distro-release-notifier (20220915-0ubuntu7) oracular; urgency=medium

  * Move EOL data to Github (LP: #2039492)
  * Update set-ubuntu-version.patch to 24.10

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 09:42:39 -0700

plasma-distro-release-notifier (20220915-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:39 +0200

plasma-distro-release-notifier (20220915-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:00:16 +0000

plasma-distro-release-notifier (20220915-0ubuntu4) noble; urgency=medium

  * d/control: b-d qtbase5-dev (LP:#2058780)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 22 Mar 2024 14:54:35 -0700

plasma-distro-release-notifier (20220915-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:05 +0000

plasma-distro-release-notifier (20220915-0ubuntu2) noble; urgency=medium

  * Update patch to report correct version (LP: #2039497)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Dec 2023 09:19:51 -0800

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  debhelper-compat (= 13),
  cmake,
  extra-cmake-modules,
- libkf5coreaddons-dev,
- libkf5dbusaddons-dev,
- libkf5i18n-dev,
- libkf5kio-dev,
- libkf5networkmanagerqt-dev,
- libkf5notifications-dev,
- libqt5core5a,
- libqt5gui5,
- libqt5widgets5,
-Standards-Version: 4.6.1
+ libkf6coreaddons-dev,
+ libkf6dbusaddons-dev,
+ libkf6i18n-dev,
+ libkf6kio-dev,
+ libkf6notifications-dev,
+ libkf6statusnotifieritem-dev,
+ libkf6networkmanagerqt-dev,
+ qt6-base-dev
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/system/distro-release-notifier
 Vcs-Browser: https://invent.kde.org/system/distro-release-notifier
 Vcs-Git: https://invent.kde.org/system/distro-release-notifier.git
@@ -27,8 +26,10 @@
  ${shlibs:Depends},
  ${misc:Depends},
  python3,
+ qt6-tools-dev-tools,
  python3-update-manager,
- update-notifier-common
+ update-notifier-common,
+ ubuntu-release-upgrader-qt
 Description: Notifies KDE Plasma users of a new version of Ubuntu
  New versions of Ubuntu get released every six months, with new
  LTS versions getting released every two years. This application

=== debian/watch ===
version=4
https://invent.kde.org/system/distro-release-notifier/tags?sort=updated_desc archive/v?\d[\d.]+/distro-release-notifier-v?([\d.]+)@ARCHIVE_EXT@
